Bug 662570 - Turning accounts on makes bitlbee connection to restart
Summary: Turning accounts on makes bitlbee connection to restart
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bitlbee
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 08:30 UTC by Pablo Iranzo Gómez
Modified: 2018-04-11 06:45 UTC (History)
4 users (show)

Fixed In Version: bitlbee-3.0.1-6.fc14.x86_64
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-10 09:28:32 UTC
Type: ---


Attachments (Terms of Use)

Description Pablo Iranzo Gómez 2010-12-13 08:30:15 UTC
Description of problem:
Hi, since upgrade to 3.01 bitlbee stopped working.


Version-Release number of selected component (if applicable):
Tested with bitlbee-3.0.1-1.fc14.x86_64 and the previous 'official' one: bitlbee-3.0-1.fc14.x86_64

How reproducible:
Start irssi to connect to bitlbee, identify your user with identify password and try to enable any account using account on


Steps to Reproduce:
1. log into irc client to bilbee
2. bitlbee will answer
3. identify with password
4. account list to verify accounts there
5. try to get accounts connected
6. bitlbee will act as disconnected/reconnected
  
Actual results:
Bitlbee doesn't connect to accounts


Expected results:
Should connect to accounts

Additional info:

With previous versions worked like a charm, now, I can't get jabber account online. If account is set to autoconnect on start, bitlbee will be unresponsible.

Comment 1 Matěj Cepl 2010-12-13 09:16:15 UTC
I think we will need at at least ouput of commands 

set

and

account <id> set

(where <id> is the number of the account in question).

thank you

Comment 2 Pablo Iranzo Gómez 2010-12-13 09:35:08 UTC
Hi Matej:

set:

auto_connect = `true'
auto_reconnect = `true'
auto_reconnect_delay = `5*3<900'
debug = `false'
mobile_is_away = `false'
save_on_quit = `true'
status is empty
strip_html = `true'
allow_takeover = `true'
away_reply_timeout = `3600'
charset = `utf-8'
default_target = `root'
display_namechanges = `false'
display_timestamps = `true'
handle_unknown = `add_channel'
lcnicks = `true'
nick_format = `%-@nick'
offline_user_quits = `true'
ops = `both'
paste_buffer = `false'
paste_buffer_delay = `200'
password = `********' (hidden)
private = `true'
query_order = `lifo'
simulate_netsplit = `true'
timezone = `local'
to_char = `: '
typing_notice = `false'



account 0 set:
auto_connect = `true'
auto_reconnect = `true'
nick_format is empty
nick_source = `handle'
password = `********' (hidden)
tag = `gtalk'
username = `email@gmail.com'
activity_timeout = `600'
port = `5222'
priority = `0'
proxy = `<local>;<auto>'
resource = `BitlBee'
resource_select = `activity'
server is empty
ssl = `false'
tls = `try'
user_agent = `BitlBee'
xmlconsole = `false'
away is empty
status is empty


Thanks!
Pablo

Comment 3 Ricky Zhou 2010-12-24 18:50:23 UTC
This sounds like bitlbee might be segfaulting.  The way I'd try to debug this is:

0) su -c "yum install yum-utils"
1) su -c "debuginfo-install bitlbee"
2) connect to bitlbee as normal, don't identify yet
3) ps -ef | grep bitlbee # note the PID of the bitlbee process
4) su -c "gdb /usr/sbin/bitlbee PID"
5) Enter 'c' in the gdb prompt
6) Identify to bitlbee and do whatever you did that made bitlbee crash
7) Enter 'bt' in the gdb prompt
8) Send us the output from gdb, and enter 'q' to quit.

Sorry this is so complicated, but the backtrace you get would definitely give us a better idea of what's causing bitlbee to crash.

Comment 4 Matěj Cepl 2010-12-27 13:07:27 UTC
Can you still reproduce the bug with https://admin.fedoraproject.org/updates/bitlbee-3.0.1-4.fc14 (probably yes, just to be sure)?

Comment 5 Pablo Iranzo Gómez 2011-01-10 06:29:42 UTC
Sorry Matej, I was offline for xmas, the version that obsoletes your proposed, works as expected:

bitlbee-3.0.1-6.fc14.x86_64
bitlbee-otr-3.0.1-6.fc14.x86_64

¿do you want me to do any other test or should be close this BZ?

Thanks!
Pablo

Comment 6 Matěj Cepl 2011-01-10 09:28:32 UTC
Thank you for letting us know.


Note You need to log in before you can comment on or make changes to this bug.